ntrack (016-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:47:35 +0800

ntrack (016-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild for Debian Buster.
  * debian/source/format: Specify "3.0 (quilt)" source package format.
  * debian/control:
    + Bump Standards-Version to 4.3.0 (lintian).
    + Bump debhelper compat to v9 (lintian).
    + Explicitly use "Qt4" in extended package description.
      (Closes: #648743)
    + Add Vcs-* fields and use git packaging repo under Salsa Debian
      Group.
    + Update homepage field and use secure uri.
  * debian/copyright: Update format specification metadata.
  * debian/changelog: Remove all trailing spaces.
  * debian/rules: Enable full hardening.

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Feb 2019 16:55:58 -0500

ntrack (016-1.3) unstable; urgency=medium

  [ Steve McIntyre ]
  * Non-maintainer upload.

  [ Logan Rosen ]
  * use dh-autoreconf to fix FTBFS on ppc64el and arm64. Closes: #733284

 -- Steve McIntyre <93sam@debian.org>  Wed, 24 Sep 2014 18:45:42 +0100

ntrack (016-1.2) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Non-maintainer upload.

  [ Philip Muskovac ]
  * Fix FTBFS - "error: invalid use of undefined type 'struct
    nl_object_ops'" (Closes: 713454)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 26 Dec 2013 20:05:44 +0000

ntrack (016-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update build dependency on libnl3-dev to libnl-route-3-dev.
    (Closes: #653848)
  * Build with -Wno-error to work around some issues in libnl 3.2.
  * Update symbols file for libntrack-qt4-1.

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Jan 2012 19:43:44 +0100

ntrack (016-1) unstable; urgency=low

  Package upstream release 016

  Packaging:
  * debian/rules: use -c4 for all C libraries and -c1 for C++ qt4 binding
  * debian/control: add ntrack-module-rtnetlink-0 package to ship new
    rtnetlink backend.
  * debian/control: fix lintian warning; move Homepage URL from libntrack0
    package Description: to Homepage: field of source package (Closes: 615320)
  * debian/rules: add --enable-backend=libnl,rtnetlink to
    DEB_CONFIGURE_EXTRA_FLAGS so that we build both backends in one batch
  * debian/control: improve package description for qt4 binding (Closes: 642422)

  Fixed Bugs 012:
  * lp:694823 - fails to ./configure with gobject if pygobject depends are not
                installed
  * lp:736058 - ntrack 011 does not compile with libnl2 final
  * lp:694477 - new plugin API: introduce modules function table and macros to
                implement modules

  Fixed Bugs 013:
  * lp:743636 - ntrack 012 fails to build on 64 bit archs

  Fixed Bugs 014:
  * lp:743881 - h2def configure test should consider installs that have .pyc
                without .py
  * lp:748988 - ntrack should handle "no backend" status gracefully
  * lp:743879 - ntrack 013 doesn't build with libnl 3.0
  * lp:749608 - ntrack API should provide runtime info: version, author,
                copyright, backend

  Fixed Bugs 015:
  * lp:750554 - nl modules are not linked with libntrack even if they use
                symbols from it
  * lp:755608 - Ntrack dead loop in function get_nl_link_by_index
  * lp:834639 - Build failure with -Werror=strict-aliasing
  * lp:774690 - Build error in a fresh environment
  * lp:785119 - ntrack can get into endless poll loop if no backend modules
                found
  * lp:801407 - ntrack-014 compilation fails if all libnl[123] are present
                together
  * lp:448400 - add pure rtnetlink backend for linux
  * lp:879141 - support libnl 3.1

  Fixed Bugs 016:
  * lp:889820 - ftbfs in 'recv_msgs': 'link.ifla_name' may be used uninitialized
  * lp:889822 - rtnetlink configure check not portable across linux flavours

  Ack Debian NMUs:
  * Upload to unstable. This version builds with gcc-4.5. Closes: #615681.
    - fixed upstream
  * Add dead-loop-fix.patch from Kubuntu to fix infinite loop with kded.
    - fixed upstream lp:755608

  Ack Ubuntu fixes:
  [ Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com> ]
  * debian/control: replace libnl-dev Build-Depends with libnl3-dev
  * debian/libntrack0.symbols: add missing ntrack_info_human_banner symbol
    - both changes adopted in maintainer package

  [ Felix Geyer <debfx-pkg@fobos.de> ]
  * Add link_ntrack-libnl_to_libntrack.patch: Link ntrack-libnl to libntrack
    as it uses symbols from that library. This caused kded4 to be unable to
    load the module and enter an infinite loop. (LP: #750554)
    - fixed upstream in 015 release

  [ Scott Kitterman <scott@kitterman.com> ]
  * Add debian/patches/dead-loop-fix.patch to fix infinite loop if route
    oif/nhopif is NULL (LP: #755608)
    - One source of high/100% CPU usage in KDE
    - fixed upstream in 015 release

 -- Alexander Sack <asac@debian.org>  Sun, 13 Nov 2011 14:30:30 +0200

ntrack (011-1.2) unstable; urgency=low

   * Non-maintainer upload.
   * Add dead-loop-fix.patch from Kubuntu to fix infinite loop with kded.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 10 Sep 2011 17:33:23 +0200

ntrack (011-1.1) unstable; urgency=low

   * Non-maintainer upload.
   * Upload to unstable. This version builds with gcc-4.5. Closes: #615681.
   * Update symbols file.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 09 Sep 2011 00:21:48 +0200

ntrack (011-1) experimental; urgency=low

  * Upload new upstream release 011 to debian experimental

  Packaging Changes:
  * build depend on python-gtk2-dev for hardy; this will work for hardy and later fortunately
  * package libnl module in ntrack-module-libnl-0 and provide ntrack-module-0
  * libntrack0 depends on ntrack-module-libnl-0 | ntrack-module-0 to ensure
    some backend is installed

  Upstream Changes:
  * New upstream release for ntrack-011
   + {011} Release 011
   + update NEWS for 011 release
   + [merge] merge fix for lp:693500: make distcheck fails on hardy - lp:~asac/ntrack/lp693500
   + gobject: improve test-gmonitor-recycle.c by testing two life-cycles in one run
   + [merge] merge fix for lp:693214: ntrack hardy build and runtime issues from lp:~asac/ntrack/lp693214
   + BUILD: eliminate NULL and set AM_LDFLAGS everywhere to unbreak old autoreconfs - lp:693215
   + start ntrack 011 development
  * New upstream release for ntrack-010
    + update NEWS for 010 release
    + gobject: ship a python wrapper as mtest-gmonitor-py as part of check_PROGRAMS
    + BUILD: enable maintainer mode by default so make dist doesnt fail
    + gobject: add license for gobject/pyntrack-module.c
    + gobject: explicitly link tests against libntrack.la since they now use ntrack_init directly
    + glib: explicitly link tests against libntrack.la since they now use ntrack_init directly
    + common: enable MAINTAINER_MODE define in common/Makefile.am for ntrack.c
    + gobject: extend python monitor test to make use of ntrack_init
    + object: rename pyntrack-module exception type to NtrackException
    + gobject: add a wrapped ntrack_init func to pyntrack module that sys.argv as argument
    + modules: link ntrack-libnl1.la and ntrack-libnl2.la against ../common/libntrack.la to make python module loader happy
    + modules: drop trailing / from ntrackmodulesdir definition
    + BUILD: build modules/ after common/ source and allow modules/ to depend on common/
    + qt4: make test use QNtrack::init
    + qt4: add QNtrack::init as wrapper for ntrack_init to API
    + gobject: make tests use ntrack_init
    + glib: make tests use ntrack_init
    + common: make tests use ntrack_init
    + glib: add license to recyle test
    + BUILD: enable AM_MAINTAINER_MODE automake feature in configure.ac
    + common: add ntrack_init function to ntrackbase.h that adds a couple of potential in-source locations to the backend search list iif in MAINTAINER_MODE
    + common: fix modules not looked for in MODULES_DIR; the plugin search loop iterator got accidentially bumped twice in one loop run
    + gobject: update copyright for 2010 modifications in gobject
    + common: update copyright for 2010 modifications in common/test
    + common: update copyright for 2010 modifications in common/
    + common: update NTRACK_LT_VERSION = 3:3:3 for libntraakc.so
    + common: use GCC visibile pragma to hide private functions from common/ntrackarch.h
    + common: rename private ntrack-arch.h => ntrackarch.h
    + common: consider build-tree modules/ directory before MODULES_DIR for typical ntrack tests
    + modules: create top level modules/ source directory and move ntrack-libnl.c there
    + common: trigger rebuild of libntrack.la if ntrackarchapi.h changes
    + common: first step towards public plugain api; factor backend API to separate header: ntrackarchapi.h, see lp:692327
    + common: drop ntrack_monitor_arch_event_f typdef from private ntrack-arch.h; its identical with ntrack_monitor_callback_f from public api
    + common: add ntrack-arch.h to libntrack_la_SOURCES
    + common: build ntrack-libnl.c as ntrack-libnl1.la and ntrack-libnl1.la modules - lp:692245
    + common: use plugin delegate functions in ntrackmonitor.c
    + common: add backend plugin code to ntrack.c and introduce glue functions for ntrack-arch.h API
    + common: add support for libnl-2.0 and use by default; keep compile time fallback support for libnl-1 - lp:686554
    + common: code cleanup and indent in setup_smart_handle of libnl backend
    + common: start using nl cache mngr for main handle as well; eliminate cache refills
    + common: remove unused/commented code in ntrack-libnl.c
    + common: fix how we set binary_addr for dst_filter; also set prefixlen on dst_filter
    + gobject: use pyntrack-gmonitor.override from $(srcdir) to fix failure when building in build/ dir - lp:661769
    + start ntrack 010 development
    + {009} Release 009
    + update NEWS for 009 release
    + common[test]: add license and indent boilderplate for recyle test
    + common[test]: ifx recycle test include to fix build failure in make distcheck
    + add support for moc binary if moc-qt4 is not available - lp:653882
    + gobject[test]: add license header to test-gmonitor-recycle.c test
    + add explicit ./configure flag for with/without-<binding> - see lp:654221
    + qt4: use ntrack_monitor_put to properly unref the monitor in QNtrack destructor
    + gobject[test]: add recycle test that verifies that unrefing a gmonitor works
    + glib: remove forgotten debugging output during gsource finalization
    + glib[test]: add simple gsource recyle (aka lifecycle) test to auto testsuite
    + glib: hook up ntrack monitor refcounting and implement proper gsource lifecycle
    + common[test]: add auto-run recyle test that pokes the monitor and arch refcounting facilities a bit
    + common: introduce refcounting to monitor singleton api; old code is supposed to still work; free arch backend if refc becomes 0
    + common: improve error loggin for nl_connect; factor that code to a helper func
    + common[arch]: extend backend api to require _ntrack_arch_free; implement this in ntrack-libnl.c (lp:612868)
    + gobject: change type of 'state' member in NTrackGMonitorPrivate from ntrack_state_t to NTrackGlibState
    + gobject: add missing G_END_DECLS to ntrack-gmonitor.h - see lp:594794
    + common: add missing NTRACK_END_DECLS to ntracklist.h - lp:594794
    + add 2010 to copyright years mentioned in README license header
    + start ntrack 009 development

 -- Alexander Sack <asac@debian.org>  Thu, 23 Dec 2010 00:32:57 +0100

ntrack (008-1) unstable; urgency=medium

  * New upstream release for ntrack-008
   + qt4: add include guards to QNtrack.h (Closes: #589341)
   + qt4: don't define func parameter names for QNtrackListener slots to
     to avoid warnings of unused variables; thx to Sune Vuorela for the bug
     and guidance
  * upload with medium urgency to RC bug in testing fixed.

 -- Alexander Sack <asac@debian.org>  Wed, 28 Jul 2010 01:01:10 +0200

ntrack (007-1) unstable; urgency=low

  * Non-maintainer upload.
  * Versioned this way on request of maintainer
  * New upstream release
    * Fix build of backend (Closes: #589344)
    * Thanks to Davi Leal who prepared the same fix for the 006 branch

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Thu, 22 Jul 2010 14:12:03 +0200

ntrack (007-0ubuntu1) lucid; urgency=low

  * New upstream release for ntrack-007
    + gobject: include ntrack-glib.h rather than ntrackbase.h by default in ntrack-monitor.h
    + gobject: do not pass redundant GLIB_CFLAGS and GLIB_LIBS to compiler/linker
    + glib: do not unnecessarily link against GOBJECT_LIBS
    + ensure that any backend is build (LP: #563728)
  * add missing libnl-dev build dependency (LP: #563728)

 -- Alexander Sack <asac@ubuntu.com>  Thu, 15 Apr 2010 12:56:23 +0200

ntrack (006-1) unstable; urgency=low

  * Initial packaging for ntrack-006 (Closes: #570853)

 -- Alexander Sack <asac@debian.org>  Sun, 21 Feb 2010 22:50:13 +0100
